package com.fidms.web.domain;

import com.fidms.common.annotation.Excel;
import com.fidms.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 流场输入对象 bz_flow_field_input_t
 * 
 * @author Allen
 * @date 2023-05-08
 */
public class FlowFieldInput extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 3d模型主键 */
    @Excel(name = "3d模型主键")
    private Long model3dId;

    @Excel(name = "3d模型")
    private String model3dName;

    /** 来流马赫数x */
    @Excel(name = "来流马赫数x")
    private BigDecimal machNumberX;

    /** 来流马赫数y */
    @Excel(name = "来流马赫数y")
    private BigDecimal machNumberY;

    /** 来流马赫数z */
    @Excel(name = "来流马赫数z")
    private BigDecimal machNumberZ;

    /** 飞行高度 */
    @Excel(name = "飞行高度")
    private BigDecimal flightHeight;

    /** OX坐标值 */
    @Excel(name = "OX坐标值")
    private BigDecimal oxCoordinate;

    /** OY坐标值 */
    @Excel(name = "OY坐标值")
    private BigDecimal oyCoordinate;

    /** OZ坐标值 */
    @Excel(name = "OZ坐标值")
    private BigDecimal ozCoordinate;

    /** 压强 */
    @Excel(name = "压强")
    private BigDecimal pressure;

    /** 流速x */
    @Excel(name = "流速x")
    private BigDecimal flowVelocityX;

    /** 流速y */
    @Excel(name = "流速y")
    private BigDecimal flowVelocityY;

    /** 流速z */
    @Excel(name = "流速z")
    private BigDecimal flowVelocityZ;

    /** 密度 */
    @Excel(name = "密度")
    private BigDecimal density;

    /** 二氧化碳质量分数 */
    @Excel(name = "二氧化碳质量分数")
    private BigDecimal co2MassFraction;

    /** 一氧化碳质量分数 */
    @Excel(name = "一氧化碳质量分数")
    private BigDecimal coMassFraction;

    /** 水蒸气质量分数 */
    @Excel(name = "水蒸气质量分数")
    private BigDecimal h2oMassFraction;

    /** 温度 */
    @Excel(name = "温度")
    private BigDecimal temperature;

    /** Fluent网格文件 */
    @Excel(name = "Fluent网格文件")
    private String fluentGridFile;

    /** Fluent网格文件路径 */
    @Excel(name = "Fluent网格文件路径")
    private String fluentGridFilePath;

    /** Fluent cas文件 */
    @Excel(name = "Fluent cas文件")
    private String fluentCasFile;

    /** Fluent cas文件路径 */
    @Excel(name = "Fluent cas文件路径")
    private String fluentCasFilePath;

    /** Fluent dat文件路径 */
    @Excel(name = "Fluent dat文件路径")
    private String fluentDatFile;

    /** Fluent dat文件 */
    @Excel(name = "Fluent dat文件")
    private String fluentDatFilePath;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setModel3dId(Long model3dId) 
    {
        this.model3dId = model3dId;
    }

    public Long getModel3dId() 
    {
        return model3dId;
    }
    public void setMachNumberX(BigDecimal machNumberX) 
    {
        this.machNumberX = machNumberX;
    }

    public String getModel3dName() {
        return model3dName;
    }

    public void setModel3dName(String model3dName) {
        this.model3dName = model3dName;
    }

    public BigDecimal getMachNumberX()
    {
        return machNumberX;
    }
    public void setMachNumberY(BigDecimal machNumberY) 
    {
        this.machNumberY = machNumberY;
    }

    public BigDecimal getMachNumberY() 
    {
        return machNumberY;
    }
    public void setMachNumberZ(BigDecimal machNumberZ) 
    {
        this.machNumberZ = machNumberZ;
    }

    public BigDecimal getMachNumberZ() 
    {
        return machNumberZ;
    }
    public void setFlightHeight(BigDecimal flightHeight) 
    {
        this.flightHeight = flightHeight;
    }

    public BigDecimal getFlightHeight() 
    {
        return flightHeight;
    }
    public void setOxCoordinate(BigDecimal oxCoordinate) 
    {
        this.oxCoordinate = oxCoordinate;
    }

    public BigDecimal getOxCoordinate() 
    {
        return oxCoordinate;
    }
    public void setOyCoordinate(BigDecimal oyCoordinate) 
    {
        this.oyCoordinate = oyCoordinate;
    }

    public BigDecimal getOyCoordinate() 
    {
        return oyCoordinate;
    }
    public void setOzCoordinate(BigDecimal ozCoordinate) 
    {
        this.ozCoordinate = ozCoordinate;
    }

    public BigDecimal getOzCoordinate() 
    {
        return ozCoordinate;
    }
    public void setPressure(BigDecimal pressure) 
    {
        this.pressure = pressure;
    }

    public BigDecimal getPressure() 
    {
        return pressure;
    }
    public void setFlowVelocityX(BigDecimal flowVelocityX) 
    {
        this.flowVelocityX = flowVelocityX;
    }

    public BigDecimal getFlowVelocityX() 
    {
        return flowVelocityX;
    }
    public void setFlowVelocityY(BigDecimal flowVelocityY) 
    {
        this.flowVelocityY = flowVelocityY;
    }

    public BigDecimal getFlowVelocityY() 
    {
        return flowVelocityY;
    }
    public void setFlowVelocityZ(BigDecimal flowVelocityZ) 
    {
        this.flowVelocityZ = flowVelocityZ;
    }

    public BigDecimal getFlowVelocityZ() 
    {
        return flowVelocityZ;
    }
    public void setDensity(BigDecimal density) 
    {
        this.density = density;
    }

    public BigDecimal getDensity() 
    {
        return density;
    }
    public void setCo2MassFraction(BigDecimal co2MassFraction) 
    {
        this.co2MassFraction = co2MassFraction;
    }

    public BigDecimal getCo2MassFraction() 
    {
        return co2MassFraction;
    }
    public void setCoMassFraction(BigDecimal coMassFraction) 
    {
        this.coMassFraction = coMassFraction;
    }

    public BigDecimal getCoMassFraction() 
    {
        return coMassFraction;
    }
    public void setH2oMassFraction(BigDecimal h2oMassFraction) 
    {
        this.h2oMassFraction = h2oMassFraction;
    }

    public BigDecimal getH2oMassFraction() 
    {
        return h2oMassFraction;
    }
    public void setTemperature(BigDecimal temperature) 
    {
        this.temperature = temperature;
    }

    public BigDecimal getTemperature() 
    {
        return temperature;
    }
    public void setFluentGridFile(String fluentGridFile) 
    {
        this.fluentGridFile = fluentGridFile;
    }

    public String getFluentGridFile() 
    {
        return fluentGridFile;
    }
    public void setFluentGridFilePath(String fluentGridFilePath) 
    {
        this.fluentGridFilePath = fluentGridFilePath;
    }

    public String getFluentGridFilePath() 
    {
        return fluentGridFilePath;
    }
    public void setFluentCasFile(String fluentCasFile) 
    {
        this.fluentCasFile = fluentCasFile;
    }

    public String getFluentCasFile() 
    {
        return fluentCasFile;
    }
    public void setFluentCasFilePath(String fluentCasFilePath) 
    {
        this.fluentCasFilePath = fluentCasFilePath;
    }

    public String getFluentCasFilePath() 
    {
        return fluentCasFilePath;
    }
    public void setFluentDatFile(String fluentDatFile) 
    {
        this.fluentDatFile = fluentDatFile;
    }

    public String getFluentDatFile() 
    {
        return fluentDatFile;
    }
    public void setFluentDatFilePath(String fluentDatFilePath) 
    {
        this.fluentDatFilePath = fluentDatFilePath;
    }

    public String getFluentDatFilePath() 
    {
        return fluentDatFilePath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("model3dId", getModel3dId())
            .append("model3dName", getModel3dName())
            .append("machNumberX", getMachNumberX())
            .append("machNumberY", getMachNumberY())
            .append("machNumberZ", getMachNumberZ())
            .append("flightHeight", getFlightHeight())
            .append("oxCoordinate", getOxCoordinate())
            .append("oyCoordinate", getOyCoordinate())
            .append("ozCoordinate", getOzCoordinate())
            .append("pressure", getPressure())
            .append("flowVelocityX", getFlowVelocityX())
            .append("flowVelocityY", getFlowVelocityY())
            .append("flowVelocityZ", getFlowVelocityZ())
            .append("density", getDensity())
            .append("co2MassFraction", getCo2MassFraction())
            .append("coMassFraction", getCoMassFraction())
            .append("h2oMassFraction", getH2oMassFraction())
            .append("temperature", getTemperature())
            .append("fluentGridFile", getFluentGridFile())
            .append("fluentGridFilePath", getFluentGridFilePath())
            .append("fluentCasFile", getFluentCasFile())
            .append("fluentCasFilePath", getFluentCasFilePath())
            .append("fluentDatFile", getFluentDatFile())
            .append("fluentDatFilePath", getFluentDatFilePath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
